#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../lib
  ${CMAKE_CURRENT_SOURCE_DIR}/../lib
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_newexchange.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE tdeabc_newexchange.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)


##### kcal_newexchange (module) #################

tde_add_kpart( kcal_newexchange AUTOMOC
  SOURCES kcal_resourceexchange_plugin.cpp
  LINK kcal_newexchange-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabc_newexchange (module) #################

tde_add_kpart( tdeabc_newexchange AUTOMOC
  SOURCES tdeabc_resourceexchange_plugin.cpp
  LINK tdeabc_newexchange-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### knewexchange (static) #####################

tde_add_library( knewexchange STATIC_PIC
  SOURCES
    exchangeglobals.cpp exchangeconvertercalendar.cpp
    exchangeconvertercontact.cpp
)


##### kcal_newexchange (shared) #################

tde_add_library( kcal_newexchange SHARED AUTOMOC
  SOURCES
    exchangecalendaradaptor.cpp kcal_resourceexchange.cpp
  VERSION 1.0.0
  LINK knewexchange-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_newexchange (shared) #################

tde_add_library( tdeabc_newexchange SHARED AUTOMOC
  SOURCES
    exchangeaddressbookadaptor.cpp tdeabc_resourceexchange.cpp
  VERSION 1.0.0
  LINK knewexchange-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
